Namespace UTSModule.Test.Command.ConverterCommand
    Public Class GetStringExecutor
        Inherits TestCommandExecutor

        Private ReadOnly _exp As String
        Sub New(command As TestCommand)
            MyBase.New(command)

            _exp = command.Parameter(0)
        End Sub

        Public Overrides Function Execute() As TestCommandReturn
            CommandReturn.RecordValue = _exp
            CommandReturn.ExecuteResultTipString = $"获取的字符串结果为：{_exp}"
            CommandReturn.ExecuteResult = True

            Return CommandReturn
        End Function
    End Class
End Namespace